Package com.treemap

# Interface TreeMap<C,N,Row,Column,Color,Font>

All Known Implementing Classes:
  `AbstractTreeMap`, `JavaFXTreeMap`

public interface TreeMap<C,N,Row,Column,Color,Font>
Created by luc on 03/02/16.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TreeMapController<C,N,Row,Column,Color,Font>`
  `getController()`
  `TreeMapModel<N,Row,Column,Color,Font>`
  `getModel()`
  `C`
  `getNativeComponent()`
  `TreeMapView<C,N,Row,Column,Color,Font>`
  `getView()`
  `void`
  `setAggregation(Aggregation aggregation)`
  `void`
  `setAlgorithm(Algorithm algorithm)`
  `void`
  `setBackground(int column)`
  `void`
  `setBackgroundByName(String columnName)`
  `void`
  `setColor(int column)`
  `void`
  `setColorByName(String columnName)`
  `void`
  `setController(TreeMapController<C,N,Row,Column,Color,Font> controller)`
  `void`
  `setDepth(Depth depth)`
  `void`
  `setGroupBy(int... columns)`
  `void`
  `setGroupByByNames(String... columnNames)`
  `void`
  `setHeaderBackgroundColor(com.macrofocus.igraphics.CPColor<Color> color)`
  `void`
  `setHeaderFont(com.macrofocus.igraphics.CPFont<Font> font)`
  `void`
  `setHeaderForegroundColor(com.macrofocus.igraphics.CPColor<Color> color)`
  `void`
  `setHeight(int column)`
  `void`
  `setHeightByName(String columnName)`
  `void`
  `setLabeling(Labeling labeling)`
  `void`
  `setLabelingBackgroundColor(com.macrofocus.igraphics.CPColor<Color> color)`
  `void`
  `setLabelingFont(com.macrofocus.igraphics.CPFont<Font> font)`
  `void`
  `setLabelingForegroundColor(com.macrofocus.igraphics.CPColor<Color> color)`
  `void`
  `setLabels(int... columns)`
  `void`
  `setLabelsByNames(String... columnNames)`
  `void`
  `setLightSourceAmbient(double value)`
  `void`
  `setLightSourceHeight(double value)`
  `void`
  `setLightSourceX(double value)`
  `void`
  `setLightSourceY(double value)`
  `void`
  `setLightSourceZ(double value)`
  `void`
  `setModel(TreeMapModel<N,Row,Column,Color,Font> model)`
  `void`
  `setNesting(Nesting nesting)`
  `void`
  `setOrdering(Ordering ordering)`
  `void`
  `setRendering(Rendering rendering)`
  `void`
  `setScale(Scale scale)`
  `void`
  `setSize(int column)`
  `void`
  `setSizeByName(String columnName)`
  `void`
  `setToolTip(int... columns)`
  Defines the fields to be use for grouping.
  `void`
  `setToolTipByNames(String... columnNames)`
  Defines the fields to be use for grouping.
  `void`
  `setView(TreeMapView<C,N,Row,Column,Color,Font> view)`

- ## Method Details

  - ### getModel

    TreeMapModel<N,Row,Column,Color,Font> getModel()

  - ### setModel

    @JsIgnore void setModel(TreeMapModel<N,Row,Column,Color,Font> model)

  - ### getView

    TreeMapView<C,N,Row,Column,Color,Font> getView()

  - ### setView

    void setView(TreeMapView<C,N,Row,Column,Color,Font> view)

  - ### getController

    @JsIgnore TreeMapController<C,N,Row,Column,Color,Font> getController()

  - ### setController

    @JsIgnore void setController(TreeMapController<C,N,Row,Column,Color,Font> controller)

  - ### setGroupBy

    @JsMethod void setGroupBy(int... columns)

  - ### setGroupByByNames

    @JsMethod void setGroupByByNames(String... columnNames)

  - ### setLabels

    @JsMethod void setLabels(int... columns)

  - ### setLabelsByNames

    @JsMethod void setLabelsByNames(String... columnNames)

  - ### setBackground

    @JsMethod void setBackground(int column)

  - ### setBackgroundByName

    @JsMethod void setBackgroundByName(String columnName)

  - ### setSize

    @JsMethod void setSize(int column)

  - ### setSizeByName

    @JsMethod void setSizeByName(String columnName)

  - ### setColor

    @JsMethod void setColor(int column)

  - ### setColorByName

    @JsMethod void setColorByName(String columnName)

  - ### setHeight

    @JsMethod void setHeight(int column)

  - ### setHeightByName

    @JsMethod void setHeightByName(String columnName)

  - ### setToolTip

    @JsMethod void setToolTip(int... columns)
    Defines the fields to be use for grouping.
    Parameters:
      `columns` - the indexes of the columns to be used for grouping
    See Also:
      - `DefaultTreeMapSettings.getGroupByTreeMapFields()`

  - ### setToolTipByNames

    @JsMethod void setToolTipByNames(String... columnNames)
    Defines the fields to be use for grouping.
    Parameters:
      `columnNames` - the names of the columns to be used for grouping
    See Also:
      - `DefaultTreeMapSettings.getGroupByTreeMapFields()`

  - ### setAlgorithm

    @JsIgnore void setAlgorithm(Algorithm algorithm)

  - ### setAggregation

    @JsIgnore void setAggregation(Aggregation aggregation)

  - ### setScale

    @JsIgnore void setScale(Scale scale)

  - ### setNesting

    @JsIgnore void setNesting(Nesting nesting)

  - ### setOrdering

    @JsIgnore void setOrdering(Ordering ordering)

  - ### setDepth

    @JsIgnore void setDepth(Depth depth)

  - ### setLabeling

    @JsIgnore void setLabeling(Labeling labeling)

  - ### setRendering

    @JsIgnore void setRendering(Rendering rendering)

  - ### setLightSourceHeight

    @JsMethod void setLightSourceHeight(double value)

  - ### setLightSourceAmbient

    @JsMethod void setLightSourceAmbient(double value)

  - ### setLightSourceX

    @JsMethod void setLightSourceX(double value)

  - ### setLightSourceY

    @JsMethod void setLightSourceY(double value)

  - ### setLightSourceZ

    @JsMethod void setLightSourceZ(double value)

  - ### setLabelingFont

    @JsIgnore void setLabelingFont(com.macrofocus.igraphics.CPFont<Font> font)

  - ### setLabelingForegroundColor

    @JsIgnore void setLabelingForegroundColor(com.macrofocus.igraphics.CPColor<Color> color)

  - ### setLabelingBackgroundColor

    @JsIgnore void setLabelingBackgroundColor(com.macrofocus.igraphics.CPColor<Color> color)

  - ### setHeaderFont

    @JsIgnore void setHeaderFont(com.macrofocus.igraphics.CPFont<Font> font)

  - ### setHeaderForegroundColor

    @JsIgnore void setHeaderForegroundColor(com.macrofocus.igraphics.CPColor<Color> color)

  - ### setHeaderBackgroundColor

    @JsIgnore void setHeaderBackgroundColor(com.macrofocus.igraphics.CPColor<Color> color)

  - ### getNativeComponent

    @JsIgnore C getNativeComponent()